CentOS6.5 安装cmake失败

最爱大裤衩 发布于 2018/04/21 20:38
阅读 855
收藏 0

安装cmake3.10.3的时,执行./bootstrap报错:

 Log of errors: /usr/local/src/cmake-3.10.3/Bootstrap.cmk/cmake_bootstrap.log 

自己查了下 ,网上都说是缺少gcc  但是我已经安装过gcc和gcc-c++了 ,代码如下:

 

另外,我安装cmake-2.8.4的时候没有问题,这是怎么回事呢

加载中
0
polly
polly

你的gcc版本太低了,gcc 4.7+才支持c11

最爱大裤衩
最爱大裤衩
安装了4.8.5后还是有问题,如下
0
沧海_Sea
沧海_Sea

Cannot find a C++ compiler supporting C++11 in this system

0
彭添
彭添

supporting C++11

0
a
autocoder

升级gcc

最爱大裤衩
最爱大裤衩
是应该升级gcc还是应该升级gcc-c++呢
0
最爱大裤衩
最爱大裤衩

引用来自“polly”的评论

你的gcc版本太低了,gcc 4.7+才支持c11

安装了gcc4.8.5后依然报Cannot find a C++ compiler supporting C++11 on this system.

返回顶部
顶部